package utils

const (
	HTTP_CLIENT_DELAY = 20

	SOLANA_HOST        = "SOLANA_HOST"
	SOLANA_PRIVATE_KEY = "SOLANA_PRIVATE_KEY"

	ORGANIZATION_NAME    = "ORGANIZATION_NAME"
	EMAIL                = "EMAIL"
	WALLET               = "WALLET"
	ASSET_BLACK_LIST     = "ASSET_BLACK_LIST"
	DO_NOT_TRADE_PERIODS = "DO_NOT_TRADE_PERIODS"

	SETTLEMENT_THRESHOLD = "SETTLEMENT_THRESHOLD"
	LOOP_PAUSE_DURATION  = "LOOP_PAUSE_DURATION"
	ORDER_HOLDOFF_PERIOD = "ORDER_HOLDOFF_PERIOD"

	LOW_THRESHOLD          = "LOW_THRESHOLD"
	MAX_ORDER_SIZE         = "MAX_ORDER_SIZE"
	MIN_BALANCE            = "MIN_BALANCE"
	VOLATILITY_PERIOD      = "VOLATILITY_PERIOD"
	VOLATILITY_THRESHOLD   = "VOLATILITY_THRESHOLD"
	LOSS_THRESHOLD         = "LOSS_THRESHOLD"
	LOSS_PERIOD            = "LOSS_PERIOD"
	ONLY_TRADE_THESE_PAIRS = "ONLY_TRADE_THESE_PAIRS"

	COINGECKO_API = "https://api.coingecko.com/api/v3"
	GATEIO_API    = "https://api.gateio.ws/api/v4"
	CRYPTO_API    = "https://api.crypto.com/v2"

	ASK_MARGIN               = "AM"
	BID_MARGIN               = "BM"
	SAFETY_MARGIN            = "SM"
	ORDER_BOOK_GAP_TOLERANCE = "OBGT"

	SIDE_SELL = "sell"
	SIDE_BUY  = "buy"

	ORDER_STATUS_OPEN     = "OPEN"
	ORDER_STATUS_NEW      = "NEW"
	ORDER_STATUS_CLOSED   = "CLOSED"
	ORDER_STATUS_CANCELED = "CANCELED"

	NOT_TRADE_PERIOD_LAYOUT = "2006-01-02T15:04"

	COINGECKO_TIMEOUT = "COINGECKO_TIMEOUT"
)
